#
# MAKEFILE FOR MMINK SAMPLE PROGRAM
#

#********** SET FLAGS *************

# IBM C SET/2 COMPILER FLAGS:
CFLAGS = /SP1 /C /Q /Ss+

# LINK386 LINKER FLAGS:
LFLAGS = /PM:PM /NOL

LIBS = MMPM2 PENPM DDE4SBS
OBJ = MMINK.OBJ MMSRV.OBJ STROKE.OBJ

#********* LIST DEPENDENCIES *********
ALL: MMINK.EXE

#********** DEFINE RULES *************
.C.OBJ:
  ICC $(CFLAGS)   $(<R).C

.RC.RES:
  RC -R $*.RC

MMINK.OBJ: MMINK.C MMINK.H

STROKE.OBJ: STROKE.C STROKE.H

MMSRV.OBJ: MMSRV.C MMSRV.H

MMINK.RES: MMINK.RC MMINK.DLG MMINK.H

MMINK.EXE: $(OBJ) MMINK.DEF MMINK.RES
  LINK386 $(LFLAGS) \
      $(OBJ),\
      MMINK.EXE,\
      MMINK.MAP,  \
      $(LIBS),   \
      MMINK.DEF
  RC MMINK.RES MMINK.EXE



